Open SCAP Library: Data Fields - Functions

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables

- c
- d
- e
- o
- r
- s
- x

### - c -

- cce_entry_get_description() : cce_entry
- cce_entry_get_id() : cce_entry
- cce_entry_get_params() : cce_entry
- cce_entry_get_references() : cce_entry
- cce_entry_get_tech_mechs() : cce_entry
- cce_entry_iterator_free() : cce_entry_iterator
- cce_entry_iterator_has_more() : cce_entry_iterator
- cce_entry_iterator_next() : cce_entry_iterator
- cce_entry_iterator_reset() : cce_entry_iterator
- cce_free() : cce
- cce_get_entries() : cce
- cce_get_entry() : cce
- cce_new() : cce
- cce_reference_get_source() : cce_reference
- cce_reference_get_value() : cce_reference
- cce_reference_iterator_free() : cce_reference_iterator
- cce_reference_iterator_has_more() : cce_reference_iterator
- cce_reference_iterator_next() : cce_reference_iterator
- cce_reference_iterator_reset() : cce_reference_iterator
- cce_supported() : cce
- cpe_check_free() : cpe_check
- cpe_check_get_href() : cpe_check
- cpe_check_get_identifier() : cpe_check
- cpe_check_get_system() : cpe_check
- cpe_check_iterator_free() : cpe_check_iterator
- cpe_check_iterator_has_more() : cpe_check_iterator
- cpe_check_iterator_next() : cpe_check_iterator
- cpe_check_iterator_remove() : cpe_check_iterator
- cpe_check_iterator_reset() : cpe_check_iterator
- cpe_check_new() : cpe_check
- cpe_check_set_href() : cpe_check
- cpe_check_set_identifier() : cpe_check
- cpe_check_set_system() : cpe_check
- cpe_dict_model_add_vendor() : cpe_dict_model
- cpe_dict_model_export() : cpe_dict_model
- cpe_dict_model_free() : cpe_dict_model
- cpe_dict_model_get_base_version() : cpe_dict_model
- cpe_dict_model_get_generator() : cpe_generator
- cpe_dict_model_get_items() : cpe_dict_model
- cpe_dict_model_get_vendors() : cpe_dict_model
- cpe_dict_model_import() : cpe_dict_model
- cpe_dict_model_import_source() : cpe_dict_model
- cpe_dict_model_new() : cpe_dict_model
- cpe_dict_model_set_base_version() : cpe_dict_model
- cpe_dict_model_supported() : cpe_dict_model
- cpe_edition_add_language() : cpe_edition
- cpe_edition_free() : cpe_edition
- cpe_edition_get_languages() : cpe_language
- cpe_edition_get_value() : cpe_edition
- cpe_edition_iterator_free() : cpe_edition_iterator
- cpe_edition_iterator_has_more() : cpe_edition_iterator
- cpe_edition_iterator_next() : cpe_edition_iterator
- cpe_edition_iterator_remove() : cpe_edition_iterator
- cpe_edition_iterator_reset() : cpe_edition_iterator
- cpe_edition_new() : cpe_edition
- cpe_edition_set_value() : cpe_edition
- cpe_generator_free() : cpe_generator
- cpe_generator_get_product_name() : cpe_generator
- cpe_generator_get_product_version() : cpe_generator
- cpe_generator_get_schema_version() : cpe_generator
- cpe_generator_get_timestamp() : cpe_generator
- cpe_generator_new() : cpe_generator
- cpe_generator_set_product_name() : cpe_generator
- cpe_generator_set_product_version() : cpe_generator
- cpe_generator_set_schema_version() : cpe_generator
- cpe_generator_set_timestamp() : cpe_generator
- cpe_item_add_check() : cpe_item
- cpe_item_add_note() : cpe_item
- cpe_item_add_reference() : cpe_item
- cpe_item_add_title() : cpe_item
- cpe_item_free() : cpe_item
- cpe_item_get_checks() : cpe_item
- cpe_item_get_deprecated() : cpe_item
- cpe_item_get_deprecated_by() : cpe_item
- cpe_item_get_deprecation_date() : cpe_item
- cpe_item_get_metadata() : cpe_item
- cpe_item_get_name() : cpe_item
- cpe_item_get_notes() : cpe_item
- cpe_item_get_references() : cpe_item
- cpe_item_get_titles() : cpe_item
- cpe_item_is_applicable() : cpe_item
- cpe_item_iterator_free() : cpe_item_iterator
- cpe_item_iterator_has_more() : cpe_item_iterator
- cpe_item_iterator_next() : cpe_item_iterator
- cpe_item_iterator_remove() : cpe_item
- cpe_item_iterator_reset() : cpe_item_iterator
- cpe_item_metadata_get_deprecated_by_nvd_id() : cpe_item_metadata
- cpe_item_metadata_get_modification_date() : cpe_item_metadata
- cpe_item_metadata_get_nvd_id() : cpe_item_metadata
- cpe_item_metadata_get_status() : cpe_item_metadata
- cpe_item_metadata_new() : cpe_item_metadata
- cpe_item_metadata_set_deprecated_by_nvd_id() : cpe_item_metadata
- cpe_item_metadata_set_modification_date() : cpe_item_metadata
- cpe_item_metadata_set_nvd_id() : cpe_item_metadata
- cpe_item_metadata_set_status() : cpe_item_metadata
- cpe_item_new() : cpe_item
- cpe_item_set_deprecation_date() : cpe_item
- cpe_lang_model_add_platform() : cpe_lang_model
- cpe_lang_model_detect_version() : cpe_lang_model
- cpe_lang_model_export() : cpe_lang_model
- cpe_lang_model_free() : cpe_lang_model
- cpe_lang_model_get_item() : cpe_lang_model
- cpe_lang_model_get_platforms() : cpe_lang_model
- cpe_lang_model_import() : cpe_lang_model
- cpe_lang_model_import_source() : cpe_lang_model
- cpe_lang_model_new() : cpe_lang_model
- cpe_lang_model_supported() : cpe_lang_model
- cpe_language_free() : cpe_language
- cpe_language_get_value() : cpe_language
- cpe_language_iterator_free() : cpe_language_iterator
- cpe_language_iterator_has_more() : cpe_language_iterator
- cpe_language_iterator_next() : cpe_language_iterator
- cpe_language_iterator_remove() : cpe_language_iterator
- cpe_language_iterator_reset() : cpe_language_iterator
- cpe_language_new() : cpe_language
- cpe_language_set_value() : cpe_language
- cpe_name_applicable_dict() : cpe_dict_model
- cpe_name_check() : cpe_name
- cpe_name_clone() : cpe_name
- cpe_name_free() : cpe_name
- cpe_name_get_as_format() : cpe_name
- cpe_name_get_as_str() : cpe_name
- cpe_name_get_edition() : cpe_name
- cpe_name_get_format() : cpe_name
- cpe_name_get_language() : cpe_name
- cpe_name_get_other() : cpe_name
- cpe_name_get_part() : cpe_name
- cpe_name_get_product() : cpe_name
- cpe_name_get_sw_edition() : cpe_name
- cpe_name_get_target_hw() : cpe_name
- cpe_name_get_target_sw() : cpe_name
- cpe_name_get_update() : cpe_name
- cpe_name_get_vendor() : cpe_name
- cpe_name_get_version() : cpe_name
- cpe_name_match_cpes() : cpe_name
- cpe_name_match_dict() : cpe_dict_model
- cpe_name_match_dict_str() : cpe_dict_model
- cpe_name_match_one() : cpe_name
- cpe_name_match_strs() : cpe_name
- cpe_name_new() : cpe_name
- cpe_name_set_edition() : cpe_name
- cpe_name_set_format() : cpe_name
- cpe_name_set_language() : cpe_name
- cpe_name_set_other() : cpe_name
- cpe_name_set_part() : cpe_name
- cpe_name_set_product() : cpe_name
- cpe_name_set_sw_edition() : cpe_name
- cpe_name_set_target_hw() : cpe_name
- cpe_name_set_target_sw() : cpe_name
- cpe_name_set_update() : cpe_name
- cpe_name_set_vendor() : cpe_name
- cpe_name_set_version() : cpe_name
- cpe_name_supported() : cpe_name
- cpe_name_write() : cpe_name
- cpe_parser_ctx_version_gt() : cpe_parser_ctx
- cpe_platform_add_title() : cpe_platform
- cpe_platform_applicable_lang_model() : cpe_lang_model
- cpe_platform_free() : cpe_platform
- cpe_platform_get_expr() : cpe_platform
- cpe_platform_get_id() : cpe_platform
- cpe_platform_get_remark() : cpe_platform
- cpe_platform_get_titles() : cpe_platform
- cpe_platform_iterator_free() : cpe_platform_iterator
- cpe_platform_iterator_has_more() : cpe_platform_iterator
- cpe_platform_iterator_next() : cpe_platform_iterator
- cpe_platform_iterator_remove() : cpe_platform_iterator
- cpe_platform_iterator_reset() : cpe_testexpr_iterator
- cpe_platform_match_cpe() : cpe_platform
- cpe_platform_new() : cpe_platform
- cpe_platform_set_expr() : cpe_platform
- cpe_platform_set_id() : cpe_platform
- cpe_platform_set_remark() : cpe_platform
- cpe_product_add_version() : cpe_product
- cpe_product_free() : cpe_product
- cpe_product_get_part() : cpe_product
- cpe_product_get_value() : cpe_product
- cpe_product_get_versions() : cpe_version
- cpe_product_iterator_free() : cpe_product_iterator
- cpe_product_iterator_has_more() : cpe_product_iterator
- cpe_product_iterator_next() : cpe_product_iterator
- cpe_product_iterator_remove() : cpe_product_iterator
- cpe_product_iterator_reset() : cpe_product_iterator
- cpe_product_new() : cpe_product
- cpe_product_set_part() : cpe_product
- cpe_product_set_value() : cpe_product
- cpe_reference_free() : cpe_reference
- cpe_reference_get_content() : cpe_reference
- cpe_reference_get_href() : cpe_reference
- cpe_reference_iterator_free() : cpe_reference_iterator
- cpe_reference_iterator_has_more() : cpe_reference_iterator
- cpe_reference_iterator_next() : cpe_reference_iterator
- cpe_reference_iterator_remove() : cpe_reference_iterator
- cpe_reference_iterator_reset() : cpe_reference_iterator
- cpe_reference_new() : cpe_reference
- cpe_reference_set_content() : cpe_reference
- cpe_reference_set_href() : cpe_reference
- cpe_testexpr_add_subexpression() : cpe_testexpr
- cpe_testexpr_clone() : cpe_testexpr
- cpe_testexpr_free() : cpe_testexpr
- cpe_testexpr_get_meta_check_href() : cpe_testexpr
- cpe_testexpr_get_meta_check_id() : cpe_testexpr
- cpe_testexpr_get_meta_check_system() : cpe_testexpr
- cpe_testexpr_get_meta_cpe() : cpe_testexpr
- cpe_testexpr_get_meta_expr() : cpe_testexpr
- cpe_testexpr_get_next() : cpe_testexpr
- cpe_testexpr_get_oper() : cpe_testexpr
- cpe_testexpr_iterator_free() : cpe_testexpr_iterator
- cpe_testexpr_iterator_has_more() : cpe_testexpr_iterator
- cpe_testexpr_iterator_next() : cpe_testexpr_iterator
- cpe_testexpr_iterator_reset() : cpe_testexpr
- cpe_testexpr_new() : cpe_testexpr
- cpe_testexpr_set_name() : cpe_testexpr
- cpe_testexpr_set_oper() : cpe_testexpr
- cpe_update_add_edition() : cpe_update
- cpe_update_free() : cpe_update
- cpe_update_get_editions() : cpe_edition
- cpe_update_get_value() : cpe_update
- cpe_update_iterator_free() : cpe_update_iterator
- cpe_update_iterator_has_more() : cpe_update_iterator
- cpe_update_iterator_next() : cpe_update_iterator
- cpe_update_iterator_remove() : cpe_update_iterator
- cpe_update_iterator_reset() : cpe_update_iterator
- cpe_update_new() : cpe_update
- cpe_update_set_value() : cpe_update
- cpe_vendor_add_product() : cpe_vendor
- cpe_vendor_add_title() : cpe_vendor
- cpe_vendor_free() : cpe_vendor
- cpe_vendor_get_products() : cpe_vendor
- cpe_vendor_get_titles() : cpe_vendor
- cpe_vendor_get_value() : cpe_vendor
- cpe_vendor_iterator_free() : cpe_vendor_iterator
- cpe_vendor_iterator_has_more() : cpe_vendor_iterator
- cpe_vendor_iterator_next() : cpe_vendor_iterator
- cpe_vendor_iterator_remove() : cpe_vendor_iterator
- cpe_vendor_iterator_reset() : cpe_vendor_iterator
- cpe_vendor_new() : cpe_vendor
- cpe_vendor_set_value() : cpe_vendor
- cpe_version_add_update() : cpe_version
- cpe_version_free() : cpe_version
- cpe_version_get_updates() : cpe_update
- cpe_version_get_value() : cpe_version
- cpe_version_iterator_free() : cpe_version_iterator
- cpe_version_iterator_has_more() : cpe_version_iterator
- cpe_version_iterator_next() : cpe_version_iterator
- cpe_version_iterator_remove() : cpe_version_iterator
- cpe_version_iterator_reset() : cpe_version_iterator
- cpe_version_new() : cpe_version
- cpe_version_set_value() : cpe_version
- cve_configuration_clone() : cve_configuration
- cve_configuration_free() : cve_configuration
- cve_configuration_get_expr() : cve_configuration
- cve_configuration_get_id() : cve_configuration
- cve_configuration_iterator_remove() : cve_configuration_iterator
- cve_configuration_iterator_reset() : cve_configuration_iterator
- cve_configuration_new() : cve_configuration
- cve_configuration_set_id() : cve_configuration
- cve_entry_add_configuration() : cve_entry
- cve_entry_add_product() : cve_entry
- cve_entry_add_reference() : cve_entry
- cve_entry_add_summary() : cve_entry
- cve_entry_clone() : cve_entry
- cve_entry_free() : cve_entry
- cve_entry_get_configurations() : cve_entry
- cve_entry_get_cvss() : cve_entry
- cve_entry_get_cwe() : cve_entry
- cve_entry_get_id() : cve_entry
- cve_entry_get_modified() : cve_entry
- cve_entry_get_products() : cve_entry
- cve_entry_get_published() : cve_entry
- cve_entry_get_references() : cve_entry
- cve_entry_get_sec_protection() : cve_entry
- cve_entry_get_summaries() : cve_entry
- cve_entry_iterator_remove() : cve_entry_iterator
- cve_entry_iterator_reset() : cve_entry_iterator
- cve_entry_new() : cve_entry
- cve_entry_set_cwe() : cve_entry
- cve_entry_set_id() : cve_entry
- cve_entry_set_modified() : cve_entry
- cve_entry_set_published() : cve_entry
- cve_entry_set_sec_protection() : cve_entry
- cve_model_add_entry() : cve_model
- cve_model_clone() : cve_model
- cve_model_export() : cve_model
- cve_model_free() : cve_model
- cve_model_get_entries() : cve_entry
- cve_model_get_nvd_xml_version() : cve_model
- cve_model_get_pub_date() : cve_model
- cve_model_import() : cve_model
- cve_model_new() : cve_model
- cve_model_set_nvd_xml_version() : cve_model
- cve_model_set_pub_date() : cve_model
- cve_model_supported() : cve_model
- cve_product_clone() : cve_product
- cve_product_free() : cve_product
- cve_product_iterator_remove() : cve_product_iterator
- cve_product_iterator_reset() : cve_product_iterator
- cve_product_new() : cve_product
- cve_product_set_value() : cve_product
- cve_reference_clone() : cve_reference
- cve_reference_free() : cve_reference
- cve_reference_get_href() : cve_reference
- cve_reference_get_lang() : cve_reference
- cve_reference_get_source() : cve_reference
- cve_reference_get_type() : cve_reference
- cve_reference_get_value() : cve_reference
- cve_reference_iterator_remove() : cve_reference_iterator
- cve_reference_iterator_reset() : cve_reference_iterator
- cve_reference_new() : cve_reference
- cve_reference_set_href() : cve_reference
- cve_reference_set_lang() : cve_reference
- cve_reference_set_source() : cve_reference
- cve_reference_set_type() : cve_reference
- cve_reference_set_value() : cve_reference
- cve_summary_clone() : cve_summary
- cve_summary_free() : cve_summary
- cve_summary_get_summary() : cve_summary
- cve_summary_iterator_remove() : cve_summary_iterator
- cve_summary_iterator_reset() : cve_summary_iterator
- cve_summary_new() : cve_summary
- cve_summary_set_summary() : cve_summary
- cvss_impact_adjusted_base_score() : cvss_impact
- cvss_impact_adjusted_temporal_score() : cvss_impact
- cvss_impact_base_adjusted_impact_subscore() : cvss_impact
- cvss_impact_base_exploitability_subscore() : cvss_impact
- cvss_impact_base_impact_subscore() : cvss_impact
- cvss_impact_base_score() : cvss_impact
- cvss_impact_clone() : cvss_impact
- cvss_impact_describe() : cvss_impact
- cvss_impact_environmental_score() : cvss_impact
- cvss_impact_free() : cvss_impact
- cvss_impact_get_base_metrics() : cvss_impact
- cvss_impact_get_environmental_metrics() : cvss_impact
- cvss_impact_get_temporal_metrics() : cvss_impact
- cvss_impact_new() : cvss_impact
- cvss_impact_new_from_vector() : cvss_impact
- cvss_impact_set_metrics() : cvss_impact
- cvss_impact_temporal_multiplier() : cvss_impact
- cvss_impact_temporal_score() : cvss_impact
- cvss_impact_to_vector() : cvss_impact
- cvss_metrics_clone() : cvss_metrics
- cvss_metrics_free() : cvss_metrics
- cvss_metrics_get_access_complexity() : cvss_metrics
- cvss_metrics_get_access_vector() : cvss_metrics
- cvss_metrics_get_authentication() : cvss_metrics
- cvss_metrics_get_availability_impact() : cvss_metrics
- cvss_metrics_get_availability_requirement() : cvss_metrics
- cvss_metrics_get_category() : cvss_metrics
- cvss_metrics_get_collateral_damage_potential() : cvss_metrics
- cvss_metrics_get_confidentiality_impact() : cvss_metrics
- cvss_metrics_get_confidentiality_requirement() : cvss_metrics
- cvss_metrics_get_exploitability() : cvss_metrics
- cvss_metrics_get_generated_on_datetime() : cvss_metrics
- cvss_metrics_get_integrity_impact() : cvss_metrics
- cvss_metrics_get_integrity_requirement() : cvss_metrics
- cvss_metrics_get_remediation_level() : cvss_metrics
- cvss_metrics_get_report_confidence() : cvss_metrics
- cvss_metrics_get_score() : cvss_metrics
- cvss_metrics_get_source() : cvss_metrics
- cvss_metrics_get_target_distribution() : cvss_metrics
- cvss_metrics_get_upgraded_from_version() : cvss_metrics
- cvss_metrics_is_valid() : cvss_metrics
- cvss_metrics_new() : cvss_metrics
- cvss_metrics_set_access_complexity() : cvss_metrics
- cvss_metrics_set_access_vector() : cvss_metrics
- cvss_metrics_set_authentication() : cvss_metrics
- cvss_metrics_set_availability_impact() : cvss_metrics
- cvss_metrics_set_availability_requirement() : cvss_metrics
- cvss_metrics_set_collateral_damage_potential() : cvss_metrics
- cvss_metrics_set_confidentiality_impact() : cvss_metrics
- cvss_metrics_set_confidentiality_requirement() : cvss_metrics
- cvss_metrics_set_exploitability() : cvss_metrics
- cvss_metrics_set_generated_on_datetime() : cvss_metrics
- cvss_metrics_set_integrity_impact() : cvss_metrics
- cvss_metrics_set_integrity_requirement() : cvss_metrics
- cvss_metrics_set_remediation_level() : cvss_metrics
- cvss_metrics_set_report_confidence() : cvss_metrics
- cvss_metrics_set_score() : cvss_metrics
- cvss_metrics_set_source() : cvss_metrics
- cvss_metrics_set_target_distribution() : cvss_metrics
- cvss_metrics_set_upgraded_from_version() : cvss_metrics
- cwe_entry_clone() : cwe_entry
- cwe_entry_free() : cve_entry
- cwe_entry_get_value() : cve_entry
- cwe_entry_new() : cwe_entry
- cwe_entry_set_value() : cve_entry